Gracias Gracias:  0
Me Gusta Me Gusta:  0
No me Gusta No me Gusta:  0
Página 1 de 6 123 ... ÚltimoÚltimo
Mostrando resultados del 1 al 10 de 53

Tema: Duda sources.list APT y problemas

  1. #1
    Fecha de Ingreso
    29-julio-2004
    Mensajes
    67
    Post Thanks / Like
    Poder de Credibilidad
    16

    Duda sources.list APT y problemas

    Hola, tengo una duda con la sources.list de apt , si pongo esta
    rpm ftp://mirrors.mathematik.uni-bielefe...inux/suse/apt/ SuSE/9.1-i386 base update security

    rpm ftp://ftp.gwdg.de/pub/linux/suse/apt/ SuSE/9.1-i386 base update security

    no tengo ningún problema (de momento) pero si pongo esta otra ó las dos

    rpm ftp://ftp.gwdg.de/pub/linux/suse/apt SuSE/9.1-i386 base update-prpm update kde gnome xfree86 xorg mozilla samba3 suser-rbos suser-guru suser-gbv usr-local-bin suser-tcousin suser-scorot suser-jogley suser-ollakka labplot funktronics packman packman-i686 kernel-of-the-day wine suse-people suse-projects kde3-stable kde-unstable security-prpm security

    rpm-src ftp://ftp.gwdg.de/pub/linux/suse/apt SuSE/9.1-i386 base update-prpm update kde gnome xfree86 xorg mozilla samba3 suser-rbos suser-guru suser-gbv usr-local-bin suser-tcousin suser-scorot suser-jogley suser-ollakka labplot funktronics packman packman-i686 kernel-of-the-day wine suse-people suse-projects kde3-stable kde-unstable security-prpm security

    no me actualiza los paquetes, me he dado cuenta de que con esta segunda lista los paquetes son .i686 mientra que con la primera son .i586, me he fijado que está última lista está infinitamente más actualizada que la primera ¿alguna sugerencia?

    Esto es lo que me da:

    he following NEW packages will be installed:
    gnutls0 libtasn1 opencdk
    1 upgraded, 3 newly installed, 0 removed and 341 not upgraded.
    Need to get 0B/3948kB of archives.
    After unpacking 3603kB of additional disk space will be used.
    Do you want to continue? [Y/n] y
    Checking GPG signatures...
    Unknown signature /var/cache/apt/archives/opencdk_0.5.4-1suse91_i686.rpm: (SHA1) DSA sha1 md5 (GPG) NOT OK (MISSING KEYS: GPG#58857177)
    Unknown signature /var/cache/apt/archives/libtasn1_0.2.9-1suse91_i686.rpm: (SHA1) DSA sha1 md5 (GPG) NOT OK (MISSING KEYS: GPG#58857177)
    Unknown signature /var/cache/apt/archives/gnutls0_0.9.99-1suse91_i686.rpm: (SHA1) DSA sha1 md5 (GPG) NOT OK (MISSING KEYS: GPG#58857177)
    Unknown signature /var/cache/apt/archives/gaim_0.82.1-1suse91_i686.rpm: (SHA1) DSA sha1 md5 (GPG) NOT OK (MISSING KEYS: GPG#58857177)
    E: Error(s) while checking package signatures:
    0 unsigned package(s)
    4 package(s) with unknown signatures
    0 package(s) with illegal/corrupted signatures

    unit0:~ # apt-get install amsn
    Reading Package Lists... Done
    Building Dependency Tree... Done
    The following NEW packages will be installed:
    amsn
    0 upgraded, 1 newly installed, 0 removed and 342 not upgraded.
    Need to get 3242kB of archives.
    After unpacking 7244kB of additional disk space will be used.
    Get:1 ftp://ftp.gwdg.de SuSE/9.1-i386/suser-gbv amsn 0.93-0.gbv.1 [3242kB]
    Fetched 3242kB in 2m1s (26.7kB/s)
    Checking GPG signatures...
    Unknown signature /var/cache/apt/archives/amsn_0.93-0.gbv.1_noarch.rpm: (SHA1) DSA sha1 md5 (GPG) NOT OK (MISSING KEYS: GPG#b7afc211)
    E: Error(s) while checking package signatures:
    0 unsigned package(s)
    1 package(s) with unknown signatures
    0 package(s) with illegal/corrupted signatures



    También me da este fallo synaptic aunque arranca
    (synaptic:8302): Gtk-CRITICAL **: file gtktreeview.c: line 6992 (gtk_tree_view_unref_tree_helper): assertion `node != NULL' failed

    (synaptic:8302): Gtk-CRITICAL **: file gtktreeview.c: line 6992 (gtk_tree_view_unref_tree_helper): assertion `node != NULL' failed

    (synaptic:8302): Gtk-CRITICAL **: file gtktreeview.c: line 6992 (gtk_tree_view_unref_tree_helper): assertion `node != NULL'

    Aún así de momento he actualizado un paquete y me ha funciona concretamante gaim pero a la 0.75-79.2 cuando he visto que con la segunda lista está disponible una versión superior, es más con la primera lista amsn ni aparece mientra que con la segunda como veis si.

    Salud2.

  2. #2
    Fecha de Ingreso
    27-julio-2004
    Ubicación
    En un lugar de la mancha ...
    Mensajes
    2.348
    Post Thanks / Like
    Poder de Credibilidad
    18
    Hola aticus

    Pues el problema es referente a la firma de los paquetes, no del fichero sources como tal. Los ficheros los tienes bajados en la carpeta temporal que usa apt, que es /var/cache/apt/archives, pero apt no los instala por un problema con las firmas como digo

    Tienes varias soluciones para eso ... cambiar las opciones del apt para evitar la comprobación de firmas, o bien instalar luego tú los paquetes que están la carpeta que te puse. Para hacer lo primero tienes que hacer lo siguiente:

    Para evitar el problema de la firma al instalar un paquete con apt: (para términos en la búsqueda)

    "editar el fichero gpg-checker.conf y cambias el GPG::Check true;"
    Sobre lo otro ...

    Cita Iniciado por aticus
    Aún así de momento he actualizado un paquete y me ha funciona concretamante gaim pero a la 0.75-79.2 cuando he visto que con la segunda lista está disponible una versión superior, es más con la primera lista amsn ni aparece mientra que con la segunda como veis si.
    Pues no se trata de que la lista esté más actualizada en sí, sino que tienes puestas muchas más cosas. En la primera por ejemplo sólo tienes puesto los paquetes relativos a: base, update y security, mientras que en la otra la lista es mucho más extensa como puedes ver ... de ahí que encuentre muchos más paquetes actualizables, el uso de apt está totalmente condicionado por el fichero sources.list que tengas definido

    Un saludo
    La carrera no siempre la ganan los más veloces, sino aquellos que siguen corriendo
    "No importa cuanto sepas, sino las ganas que tengas de seguir aprendiendo"

  3. #3
    Fecha de Ingreso
    29-julio-2004
    Mensajes
    67
    Post Thanks / Like
    Poder de Credibilidad
    16
    Hola, esto es lo que tengo en el archivo gpg-checker.conf

    / Make GPG::Check no; to disable gpg checking
    // It can still be used in combination with --checksig
    GPG::Check true;
    Scripts::PM::Pre:: gpg-checker.lua;

    ¿Qué cambio?

    Un saludo y gracias.

  4. #4
    Fecha de Ingreso
    27-julio-2004
    Ubicación
    En un lugar de la mancha ...
    Mensajes
    2.348
    Post Thanks / Like
    Poder de Credibilidad
    18
    Pues te lo pone en el propio comentario que viene en el fichero:

    Cita Iniciado por aticus
    / Make GPG::Check no; to disable gpg checking
    Así que sólo tienes que cambiar la línea:

    GPG::Check true;

    por:

    GPG::Check no;

    eso si quieres desactivar la comprobación de firmas
    La carrera no siempre la ganan los más veloces, sino aquellos que siguen corriendo
    "No importa cuanto sepas, sino las ganas que tengas de seguir aprendiendo"

  5. #5
    Fecha de Ingreso
    29-julio-2004
    Mensajes
    67
    Post Thanks / Like
    Poder de Credibilidad
    16
    Hola, esto es velocidad, gracias estoy empanado...con Suse 8.2 al apt me ha ido de lujo pero con Suse 9.1 no han sido nada más que problemas asi que he ido dejandolo desde hace ya unos meses, que si baja los paquetes pero no los carga ó que si al darle a buscar algún paquete el programa se cierra.
    Hoy he decidido ponerme a ello a ver si por fin me funciona.

    Un saludo y muchas gracias.

  6. #6
    Fecha de Ingreso
    29-julio-2004
    Mensajes
    67
    Post Thanks / Like
    Poder de Credibilidad
    16
    Hola, pues acabo de instalar amsn sin problemas, muchas gracias.
    Ahora me queda probar como usuario.

    Otra cosa es posible que me expliques que es lo que he hecho, porqué tenía este problema.

    De nuevo gracias.

  7. #7
    Fecha de Ingreso
    27-julio-2004
    Ubicación
    En un lugar de la mancha ...
    Mensajes
    2.348
    Post Thanks / Like
    Poder de Credibilidad
    18
    Pues a ver, GPG es un sistema de firma digital, que permite verificar la corrección, en este caso de los paquetes rpm que descargas, pero no es exclusivo para eso, en el correo electrónico también se usa por ejemplo, para poder comprobar que el remitente del mensaje es realmente quien dice ser.

    Por defecto, apt tiene activada la comprobación GPG, por lo que comprueba, antes de instalarlos, todos los paquetes que descargas. Pero para poder comprobarlo tendrías que tener las firmas de todos los paquetes que descargas, en el momento que falte alguna, o bien si bajas un fichero con una firma incorrecta, el apt te informa de ello y no instala el paquete, que es lo que te ocurría

    Al editar esa línea en el fichero lo que haces es desactivar la comprobación, por lo que los paquetes se descargan y directamente se instalan, sin comprobar nada, por eso ahora ya lo pudiste instalar

    Un saludo
    La carrera no siempre la ganan los más veloces, sino aquellos que siguen corriendo
    "No importa cuanto sepas, sino las ganas que tengas de seguir aprendiendo"

  8. #8
    Fecha de Ingreso
    29-julio-2004
    Mensajes
    67
    Post Thanks / Like
    Poder de Credibilidad
    16
    Ya me he enterado.

    Un saludo y gracias por la explicación.

  9. #9
    Fecha de Ingreso
    18-abril-2005
    Ubicación
    Sevilla, España
    Mensajes
    544
    Post Thanks / Like
    Poder de Credibilidad
    15
    pues acabo de instalar APT en S9.3 y...

    linux:~ # apt-get install amsn
    Reading Package Lists... Done
    Building Dependency Tree... Done
    E: Couldn't find package amsn
    linux:~ #

    para poner las fuentes y todo eso...
    se que he de editar algo en alguna parte, jejeje, pero no se donde

    gracias

    PD: el buscador no me funciona, busca pero a veces no encuentra nada, cuando si que existen post con titulos referentes a la busqueda, a lo mejor el problema es mio, no se.

  10. #10
    Fecha de Ingreso
    27-julio-2004
    Ubicación
    En un lugar de la mancha ...
    Mensajes
    2.348
    Post Thanks / Like
    Poder de Credibilidad
    18
    Pues hay un tema bastante interesante en la parte de manuales ...

    ¿Como Instalar APT en SuSE 9.3?
    La carrera no siempre la ganan los más veloces, sino aquellos que siguen corriendo
    "No importa cuanto sepas, sino las ganas que tengas de seguir aprendiendo"

Thread Information

Users Browsing this Thread

There are currently 1 users browsing this thread. (0 members and 1 guests)

Marcadores

Normas de Publicación

  • No puedes crear nuevos temas
  • No puedes responder mensajes
  • No puedes subir archivos adjuntos
  • No puedes editar tus mensajes
  •